depends = ( 'Base',)
templates = (
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinomialBlurImageFilterIUC2IUC2_Pointer', 'itk::BinomialBlurImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinomialBlurImageFilterIUC3IUC3_Pointer', 'itk::BinomialBlurImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinomialBlurImageFilterIUS2IUS2_Pointer', 'itk::BinomialBlurImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinomialBlurImageFilterIUS3IUS3_Pointer', 'itk::BinomialBlurImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinomialBlurImageFilterIF2IF2_Pointer', 'itk::BinomialBlurImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('BinomialBlurImageFilter', 'itk::BinomialBlurImageFilter', 'itkBinomialBlurImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinomialBlurImageFilterIF3IF3_Pointer', 'itk::BinomialBlurImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDerivativeImageFilterIF2IF2_Pointer', 'itk::DerivativeImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDerivativeImageFilterIF3IF3_Pointer', 'itk::DerivativeImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiscreteGaussianImageFilterIUC2IUC2_Pointer', 'itk::DiscreteGaussianImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiscreteGaussianImageFilterIUC3IUC3_Pointer', 'itk::DiscreteGaussianImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiscreteGaussianImageFilterIUS2IUS2_Pointer', 'itk::DiscreteGaussianImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiscreteGaussianImageFilterIUS3IUS3_Pointer', 'itk::DiscreteGaussianImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiscreteGaussianImageFilterIF2IF2_Pointer', 'itk::DiscreteGaussianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('DiscreteGaussianImageFilter', 'itk::DiscreteGaussianImageFilter', 'itkDiscreteGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiscreteGaussianImageFilterIF3IF3_Pointer', 'itk::DiscreteGaussianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('EdgePotentialImageFilter', 'itk::EdgePotentialImageFilter', 'itkEdgePotentialImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkEdgePotentialImageFilterICVF22IF2_Pointer', 'itk::EdgePotentialImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 > >'),
  ('EdgePotentialImageFilter', 'itk::EdgePotentialImageFilter', 'itkEdgePotentialImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkEdgePotentialImageFilterICVF33IF3_Pointer', 'itk::EdgePotentialImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 > >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUC2FF', 'itk::Image< unsigned char,2 >,float,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientImageFilterIUC2FF_Pointer', 'itk::GradientImageFilter< itk::Image< unsigned char,2 >,float,float >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUS2FF', 'itk::Image< unsigned short,2 >,float,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientImageFilterIUS2FF_Pointer', 'itk::GradientImageFilter< itk::Image< unsigned short,2 >,float,float >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIF2FF', 'itk::Image< float,2 >,float,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientImageFilterIF2FF_Pointer', 'itk::GradientImageFilter< itk::Image< float,2 >,float,float >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUC3FF', 'itk::Image< unsigned char,3 >,float,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientImageFilterIUC3FF_Pointer', 'itk::GradientImageFilter< itk::Image< unsigned char,3 >,float,float >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIUS3FF', 'itk::Image< unsigned short,3 >,float,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientImageFilterIUS3FF_Pointer', 'itk::GradientImageFilter< itk::Image< unsigned short,3 >,float,float >'),
  ('GradientImageFilter', 'itk::GradientImageFilter', 'itkGradientImageFilterIF3FF', 'itk::Image< float,3 >,float,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientImageFilterIF3FF_Pointer', 'itk::GradientImageFilter< itk::Image< float,3 >,float,float >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeImageFilterIUC2IUC2_Pointer', 'itk::GradientMagnitudeImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeImageFilterIUC3IUC3_Pointer', 'itk::GradientMagnitudeImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeImageFilterIUS2IUS2_Pointer', 'itk::GradientMagnitudeImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeImageFilterIUS3IUS3_Pointer', 'itk::GradientMagnitudeImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeImageFilterIF2IF2_Pointer', 'itk::GradientMagnitudeImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GradientMagnitudeImageFilter', 'itk::GradientMagnitudeImageFilter', 'itkGradientMagnitudeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeImageFilterIF3IF3_Pointer', 'itk::GradientMagnitudeImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUC2IUC2_Pointer', 'itk::GradientMagnitudeRecursiveGaussianImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUC3IUC3_Pointer', 'itk::GradientMagnitudeRecursiveGaussianImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUS2IUS2_Pointer', 'itk::GradientMagnitudeRecursiveGaussianImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeRecursiveGaussianImageFilterIUS3IUS3_Pointer', 'itk::GradientMagnitudeRecursiveGaussianImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeRecursiveGaussianImageFilterIF2IF2_Pointer', 'itk::GradientMagnitudeRecursiveGaussianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GradientMagnitudeRecursiveGaussianImageFilter', 'itk::GradientMagnitudeRecursiveGaussianImageFilter', 'itkGradientMagnitudeRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientMagnitudeRecursiveGaussianImageFilterIF3IF3_Pointer', 'itk::GradientMagnitudeRecursiveGaussianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIUC2ICVF22', 'itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientRecursiveGaussianImageFilterIUC2ICVF22_Pointer', 'itk::GradientRecursiveGaussianImageFilter< itk::Image< unsigned char,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIUS2ICVF22', 'itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientRecursiveGaussianImageFilterIUS2ICVF22_Pointer', 'itk::GradientRecursiveGaussianImageFilter< itk::Image< unsigned short,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('GradientRecursiveGaussianImageFilter', 'itk::GradientRecursiveGaussianImageFilter', 'itkGradientRecursiveGaussianImageFilterIF2ICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientRecursiveGaussianImageFilterIF2ICVF22_Pointer', 'itk::GradientRecursiveGaussianImageFilter< itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IUC2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientToMagnitudeImageFilterICVF22IUC2_Pointer', 'itk::GradientToMagnitudeImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned char,2 > >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF33IUC3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientToMagnitudeImageFilterICVF33IUC3_Pointer', 'itk::GradientToMagnitudeImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned char,3 > >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IUS2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientToMagnitudeImageFilterICVF22IUS2_Pointer', 'itk::GradientToMagnitudeImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< unsigned short,2 > >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF33IUS3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientToMagnitudeImageFilterICVF33IUS3_Pointer', 'itk::GradientToMagnitudeImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< unsigned short,3 > >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF22IF2', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientToMagnitudeImageFilterICVF22IF2_Pointer', 'itk::GradientToMagnitudeImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< float,2 > >'),
  ('GradientToMagnitudeImageFilter', 'itk::GradientToMagnitudeImageFilter', 'itkGradientToMagnitudeImageFilterICVF33IF3', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientToMagnitudeImageFilterICVF33IF3_Pointer', 'itk::GradientToMagnitudeImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< float,3 > >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianImageFilterIF2IF2_Pointer', 'itk::LaplacianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianImageFilterIF3IF3_Pointer', 'itk::LaplacianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianRecursiveGaussianImageFilterIUC2IUC2_Pointer', 'itk::LaplacianRecursiveGaussianImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianRecursiveGaussianImageFilterIUC3IUC3_Pointer', 'itk::LaplacianRecursiveGaussianImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianRecursiveGaussianImageFilterIUS2IUS2_Pointer', 'itk::LaplacianRecursiveGaussianImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianRecursiveGaussianImageFilterIUS3IUS3_Pointer', 'itk::LaplacianRecursiveGaussianImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianRecursiveGaussianImageFilterIF2IF2_Pointer', 'itk::LaplacianRecursiveGaussianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianRecursiveGaussianImageFilterIF3IF3_Pointer', 'itk::LaplacianRecursiveGaussianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSharpeningImageFilterIUC2IUC2_Pointer', 'itk::LaplacianSharpeningImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSharpeningImageFilterIUC3IUC3_Pointer', 'itk::LaplacianSharpeningImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSharpeningImageFilterIUS2IUS2_Pointer', 'itk::LaplacianSharpeningImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSharpeningImageFilterIUS3IUS3_Pointer', 'itk::LaplacianSharpeningImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSharpeningImageFilterIF2IF2_Pointer', 'itk::LaplacianSharpeningImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLaplacianSharpeningImageFilterIF3IF3_Pointer', 'itk::LaplacianSharpeningImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveGaussianImageFilterIUC2IUC2_Pointer', 'itk::RecursiveGaussianImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveGaussianImageFilterIUC3IUC3_Pointer', 'itk::RecursiveGaussianImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveGaussianImageFilterIUS2IUS2_Pointer', 'itk::RecursiveGaussianImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveGaussianImageFilterIUS3IUS3_Pointer', 'itk::RecursiveGaussianImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveGaussianImageFilterIF2IF2_Pointer', 'itk::RecursiveGaussianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('RecursiveGaussianImageFilter', 'itk::RecursiveGaussianImageFilter', 'itkRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveGaussianImageFilterIF3IF3_Pointer', 'itk::RecursiveGaussianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveSeparableImageFilterIUC2IUC2_Pointer', 'itk::RecursiveSeparableImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveSeparableImageFilterIUC3IUC3_Pointer', 'itk::RecursiveSeparableImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveSeparableImageFilterIUS2IUS2_Pointer', 'itk::RecursiveSeparableImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveSeparableImageFilterIUS3IUS3_Pointer', 'itk::RecursiveSeparableImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveSeparableImageFilterIF2IF2_Pointer', 'itk::RecursiveSeparableImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('RecursiveSeparableImageFilter', 'itk::RecursiveSeparableImageFilter', 'itkRecursiveSeparableImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRecursiveSeparableImageFilterIF3IF3_Pointer', 'itk::RecursiveSeparableImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSmoothingRecursiveGaussianImageFilterIUC2IUC2_Pointer', 'itk::SmoothingRecursiveGaussianImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSmoothingRecursiveGaussianImageFilterIUC3IUC3_Pointer', 'itk::SmoothingRecursiveGaussianImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSmoothingRecursiveGaussianImageFilterIUS2IUS2_Pointer', 'itk::SmoothingRecursiveGaussianImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSmoothingRecursiveGaussianImageFilterIUS3IUS3_Pointer', 'itk::SmoothingRecursiveGaussianImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSmoothingRecursiveGaussianImageFilterIF2IF2_Pointer', 'itk::SmoothingRecursiveGaussianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SmoothingRecursiveGaussianImageFilter', 'itk::SmoothingRecursiveGaussianImageFilter', 'itkSmoothingRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSmoothingRecursiveGaussianImageFilterIF3IF3_Pointer', 'itk::SmoothingRecursiveGaussianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
)
