depends = ( 'Base', 'BaseNumerics',)
templates = (
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAdaptiveHistogramEqualizationImageFilterIUC2_Pointer', 'itk::AdaptiveHistogramEqualizationImageFilter< itk::Image< unsigned char,2 > >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAdaptiveHistogramEqualizationImageFilterIUC3_Pointer', 'itk::AdaptiveHistogramEqualizationImageFilter< itk::Image< unsigned char,3 > >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAdaptiveHistogramEqualizationImageFilterIUS2_Pointer', 'itk::AdaptiveHistogramEqualizationImageFilter< itk::Image< unsigned short,2 > >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAdaptiveHistogramEqualizationImageFilterIUS3_Pointer', 'itk::AdaptiveHistogramEqualizationImageFilter< itk::Image< unsigned short,3 > >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAdaptiveHistogramEqualizationImageFilterIF2_Pointer', 'itk::AdaptiveHistogramEqualizationImageFilter< itk::Image< float,2 > >'),
  ('AdaptiveHistogramEqualizationImageFilter', 'itk::AdaptiveHistogramEqualizationImageFilter', 'itkAdaptiveHistogramEqualizationImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAdaptiveHistogramEqualizationImageFilterIF3_Pointer', 'itk::AdaptiveHistogramEqualizationImageFilter< itk::Image< float,3 > >'),
  ('HistogramMatchingImageFilter', 'itk::HistogramMatchingImageFilter', 'itkHistogramMatchingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHistogramMatchingImageFilterIF2IF2_Pointer', 'itk::HistogramMatchingImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('HistogramMatchingImageFilter', 'itk::HistogramMatchingImageFilter', 'itkHistogramMatchingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkHistogramMatchingImageFilterIF3IF3_Pointer', 'itk::HistogramMatchingImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIntensityWindowingImageFilterIUC2IUC2_Pointer', 'itk::IntensityWindowingImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIntensityWindowingImageFilterIUC3IUC3_Pointer', 'itk::IntensityWindowingImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIntensityWindowingImageFilterIUS2IUS2_Pointer', 'itk::IntensityWindowingImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIntensityWindowingImageFilterIUS3IUS3_Pointer', 'itk::IntensityWindowingImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIntensityWindowingImageFilterIF2IF2_Pointer', 'itk::IntensityWindowingImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('IntensityWindowingImageFilter', 'itk::IntensityWindowingImageFilter', 'itkIntensityWindowingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIntensityWindowingImageFilterIF3IF3_Pointer', 'itk::IntensityWindowingImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInvertIntensityImageFilterIUC2IUC2_Pointer', 'itk::InvertIntensityImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInvertIntensityImageFilterIUC3IUC3_Pointer', 'itk::InvertIntensityImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInvertIntensityImageFilterIUS2IUS2_Pointer', 'itk::InvertIntensityImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInvertIntensityImageFilterIUS3IUS3_Pointer', 'itk::InvertIntensityImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInvertIntensityImageFilterIF2IF2_Pointer', 'itk::InvertIntensityImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('InvertIntensityImageFilter', 'itk::InvertIntensityImageFilter', 'itkInvertIntensityImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkInvertIntensityImageFilterIF3IF3_Pointer', 'itk::InvertIntensityImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskImageFilterIUC2IUC2IUC2_Pointer', 'itk::MaskImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskImageFilterIUC3IUC3IUC3_Pointer', 'itk::MaskImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskImageFilterIUS2IUS2IUS2_Pointer', 'itk::MaskImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIUS3IUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskImageFilterIUS3IUS3IUS3_Pointer', 'itk::MaskImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIF2IF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskImageFilterIF2IF2IF2_Pointer', 'itk::MaskImageFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MaskImageFilter', 'itk::MaskImageFilter', 'itkMaskImageFilterIF3IF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskImageFilterIF3IF3IF3_Pointer', 'itk::MaskImageFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUC2IUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskNegatedImageFilterIUC2IUC2IUC2_Pointer', 'itk::MaskNegatedImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUC3IUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskNegatedImageFilterIUC3IUC3IUC3_Pointer', 'itk::MaskNegatedImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUS2IUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskNegatedImageFilterIUS2IUS2IUS2_Pointer', 'itk::MaskNegatedImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIUS3IUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskNegatedImageFilterIUS3IUS3IUS3_Pointer', 'itk::MaskNegatedImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIF2IF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskNegatedImageFilterIF2IF2IF2_Pointer', 'itk::MaskNegatedImageFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MaskNegatedImageFilter', 'itk::MaskNegatedImageFilter', 'itkMaskNegatedImageFilterIF3IF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMaskNegatedImageFilterIF3IF3IF3_Pointer', 'itk::MaskNegatedImageFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizeImageFilterIUC2IUC2_Pointer', 'itk::NormalizeImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizeImageFilterIUC3IUC3_Pointer', 'itk::NormalizeImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizeImageFilterIUS2IUS2_Pointer', 'itk::NormalizeImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizeImageFilterIUS3IUS3_Pointer', 'itk::NormalizeImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizeImageFilterIF2IF2_Pointer', 'itk::NormalizeImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('NormalizeImageFilter', 'itk::NormalizeImageFilter', 'itkNormalizeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizeImageFilterIF3IF3_Pointer', 'itk::NormalizeImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUC2IUC2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUC3IUC3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUC2IUS2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUC3IUS3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUC2IF2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned char,2 >, itk::Image< float,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUC3IF3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned char,3 >, itk::Image< float,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUS2IUC2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUS3IUC3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUS2IUS2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUS3IUS3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUS2IF2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned short,2 >, itk::Image< float,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIUS3IF3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< unsigned short,3 >, itk::Image< float,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIF2IUC2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< float,2 >, itk::Image< unsigned char,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIF3IUC3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< float,3 >, itk::Image< unsigned char,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIF2IUS2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< float,2 >, itk::Image< unsigned short,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIF3IUS3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< float,3 >, itk::Image< unsigned short,3 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIF2IF2_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRescaleIntensityImageFilterIF3IF3_Pointer', 'itk::RescaleIntensityImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShiftScaleImageFilterIUC2IUC2_Pointer', 'itk::ShiftScaleImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShiftScaleImageFilterIUC3IUC3_Pointer', 'itk::ShiftScaleImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShiftScaleImageFilterIUS2IUS2_Pointer', 'itk::ShiftScaleImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShiftScaleImageFilterIUS3IUS3_Pointer', 'itk::ShiftScaleImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShiftScaleImageFilterIF2IF2_Pointer', 'itk::ShiftScaleImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ShiftScaleImageFilter', 'itk::ShiftScaleImageFilter', 'itkShiftScaleImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkShiftScaleImageFilterIF3IF3_Pointer', 'itk::ShiftScaleImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSigmoidImageFilterIUC2IUC2_Pointer', 'itk::SigmoidImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSigmoidImageFilterIUC3IUC3_Pointer', 'itk::SigmoidImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSigmoidImageFilterIUS2IUS2_Pointer', 'itk::SigmoidImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSigmoidImageFilterIUS3IUS3_Pointer', 'itk::SigmoidImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSigmoidImageFilterIF2IF2_Pointer', 'itk::SigmoidImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('SigmoidImageFilter', 'itk::SigmoidImageFilter', 'itkSigmoidImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSigmoidImageFilterIF3IF3_Pointer', 'itk::SigmoidImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
)
