depends = ( 'Base',)
templates = (
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUC2DUC', 'itk::Image< unsigned char,2 >,double,unsigned char'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineInterpolateImageFunctionIUC2DUC_Pointer', 'itk::BSplineInterpolateImageFunction< itk::Image< unsigned char,2 >,double,unsigned char >'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUS2DUS', 'itk::Image< unsigned short,2 >,double,unsigned short'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineInterpolateImageFunctionIUS2DUS_Pointer', 'itk::BSplineInterpolateImageFunction< itk::Image< unsigned short,2 >,double,unsigned short >'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIF2DF', 'itk::Image< float,2 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineInterpolateImageFunctionIF2DF_Pointer', 'itk::BSplineInterpolateImageFunction< itk::Image< float,2 >,double,float >'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUC3DUC', 'itk::Image< unsigned char,3 >,double,unsigned char'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineInterpolateImageFunctionIUC3DUC_Pointer', 'itk::BSplineInterpolateImageFunction< itk::Image< unsigned char,3 >,double,unsigned char >'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUS3DUS', 'itk::Image< unsigned short,3 >,double,unsigned short'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineInterpolateImageFunctionIUS3DUS_Pointer', 'itk::BSplineInterpolateImageFunction< itk::Image< unsigned short,3 >,double,unsigned short >'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIF3DF', 'itk::Image< float,3 >,double,float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineInterpolateImageFunctionIF3DF_Pointer', 'itk::BSplineInterpolateImageFunction< itk::Image< float,3 >,double,float >'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineResampleImageFunctionIUC2D_Pointer', 'itk::BSplineResampleImageFunction< itk::Image< unsigned char,2 >,double >'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUS2D', 'itk::Image< unsigned short,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineResampleImageFunctionIUS2D_Pointer', 'itk::BSplineResampleImageFunction< itk::Image< unsigned short,2 >,double >'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineResampleImageFunctionIF2D_Pointer', 'itk::BSplineResampleImageFunction< itk::Image< float,2 >,double >'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineResampleImageFunctionIUC3D_Pointer', 'itk::BSplineResampleImageFunction< itk::Image< unsigned char,3 >,double >'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUS3D', 'itk::Image< unsigned short,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineResampleImageFunctionIUS3D_Pointer', 'itk::BSplineResampleImageFunction< itk::Image< unsigned short,3 >,double >'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineResampleImageFunctionIF3D_Pointer', 'itk::BSplineResampleImageFunction< itk::Image< float,3 >,double >'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLinearInterpolateImageFunctionIUC2D_Pointer', 'itk::LinearInterpolateImageFunction< itk::Image< unsigned char,2 >,double >'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUS2D', 'itk::Image< unsigned short,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLinearInterpolateImageFunctionIUS2D_Pointer', 'itk::LinearInterpolateImageFunction< itk::Image< unsigned short,2 >,double >'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLinearInterpolateImageFunctionIF2D_Pointer', 'itk::LinearInterpolateImageFunction< itk::Image< float,2 >,double >'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLinearInterpolateImageFunctionIUC3D_Pointer', 'itk::LinearInterpolateImageFunction< itk::Image< unsigned char,3 >,double >'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUS3D', 'itk::Image< unsigned short,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLinearInterpolateImageFunctionIUS3D_Pointer', 'itk::LinearInterpolateImageFunction< itk::Image< unsigned short,3 >,double >'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLinearInterpolateImageFunctionIF3D_Pointer', 'itk::LinearInterpolateImageFunction< itk::Image< float,3 >,double >'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNearestNeighborInterpolateImageFunctionIUC2D_Pointer', 'itk::NearestNeighborInterpolateImageFunction< itk::Image< unsigned char,2 >,double >'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUS2D', 'itk::Image< unsigned short,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNearestNeighborInterpolateImageFunctionIUS2D_Pointer', 'itk::NearestNeighborInterpolateImageFunction< itk::Image< unsigned short,2 >,double >'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNearestNeighborInterpolateImageFunctionIF2D_Pointer', 'itk::NearestNeighborInterpolateImageFunction< itk::Image< float,2 >,double >'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNearestNeighborInterpolateImageFunctionIUC3D_Pointer', 'itk::NearestNeighborInterpolateImageFunction< itk::Image< unsigned char,3 >,double >'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUS3D', 'itk::Image< unsigned short,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNearestNeighborInterpolateImageFunctionIUS3D_Pointer', 'itk::NearestNeighborInterpolateImageFunction< itk::Image< unsigned short,3 >,double >'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNearestNeighborInterpolateImageFunctionIF3D_Pointer', 'itk::NearestNeighborInterpolateImageFunction< itk::Image< float,3 >,double >'),
)
